Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List

Get All Skill Groups

To retrieve the list of skills groups with the given streamId.
MethodGET
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

PARAMETERDESCRIPTIONTYPE
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdbotId or streamId. You can get it from the App Settings page.string, required

Sample Request

curl --location --request GET 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \

Sample Response

{
    "results": [
        {
            "id": "620b814ca2344f1caa8cxxxx",
            "name": "Account Management",
            "description": "Manage Account and its Settings",
            "color": "#f0f0f0"
        }
    ],
    "page": 1,
    "limit": 10,
    "hasMore": true,
    "totalPages": 1,
    "totalResults": 1
}